

package gov.va.med.cds.uniqueidentifier;


import gov.va.med.cds.junit.runners.Suite;

import org.junit.Test;


public class RandomGuidExceptionTest
{
    @Test( expected = RandomGuidException.class )
    @Suite( groups = "checkintest" )
    public void testRandomGuidException( )
    {
        throw new RandomGuidException();
    }


    @Test( expected = RandomGuidException.class )
    @Suite( groups = "checkintest" )
    public void testRandomGuidExceptionWithCustomMsg( )
    {
        throw new RandomGuidException( "Error in GUID generation" );
    }


    @Test( expected = RandomGuidException.class )
    @Suite( groups = "checkintest" )
    public void testRandomGuidExceptionWithWrappedException( )
    {
        throw new RandomGuidException( new Exception() );
    }


    @Test( expected = RandomGuidException.class )
    @Suite( groups = "checkintest" )
    public void testRandomGuidExceptionWithCustomMsgAndWrappedException( )
    {
        throw new RandomGuidException( "Error in GUID generation", new Exception() );
    }

}
